Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## igeo
Class I2DSurfaceUTangentField.I2DSurfaceUTangentFieldGeo

    java.lang.Object
      igeo.IFieldGeo
          igeo.I2DSurfaceFieldGeo
              igeo.I2DSurfaceUTangentField.I2DSurfaceUTangentFieldGeo

All Implemented Interfaces:
  I2DFieldI, IFieldI

Enclosing class:
  I2DSurfaceUTangentField

    public static class I2DSurfaceUTangentField.I2DSurfaceUTangentFieldGeo

extends I2DSurfaceFieldGeo

Nested Class Summary

Nested classes/interfaces inherited from class igeo.IFieldGeo
`IFieldGeo.Decay`

Field Summary

Fields inherited from class igeo.I2DSurfaceFieldGeo
`fieldSurface, surface`

Fields inherited from class igeo.IFieldGeo
`bidirectional, constantIntensity, decay, intensity, threshold`

Constructor Summary
`I2DSurfaceUTangentField.I2DSurfaceUTangentFieldGeo(ISurfaceI srf)`

Method Summary
`IVec2I` | `get(IVecI v, IVec2I uv)` get original field value out of surface parameter uv

Methods inherited from class igeo.I2DSurfaceFieldGeo
`bidirectional, constantIntensity, del, gauss, gaussian, gaussianDecay, get, get, get, intensity, linear, linearDecay, noDecay, threshold`

Methods inherited from class igeo.IFieldGeo
`decay, intensity, threshold`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface igeo.IFieldI
`intensity, threshold`

Constructor Detail

### I2DSurfaceUTangentField.I2DSurfaceUTangentFieldGeo

    public I2DSurfaceUTangentField.I2DSurfaceUTangentFieldGeo(ISurfaceI srf)

Method Detail

### get

    public IVec2I get(IVecI v,
                      IVec2I uv)

  Description copied from class: `I2DSurfaceFieldGeo`
  get original field value out of surface parameter uv

  Overrides:
    `get` in class `I2DSurfaceFieldGeo`

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD